package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.MusicSheet;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * Description 老师乐谱分享信息
 *
 * @author liujunchi
 * @date 2022-04-01
 */
@ApiModel( description = "老师分享分润信息")
public class ShareProfitVo {

    @ApiModelProperty("老师id")
    private Long teacherId;

    @ApiModelProperty("推荐老师姓名")
    private String name;

    @ApiModelProperty("推荐老师头像")
    private String avatar;

    @ApiModelProperty("二维码链接")
    private String url;

    @ApiModelProperty("曲目： MUSIC,ALBUM:专辑 直播课 ：LIVE,视频课：VIDEO ,会员 ：VIP")
    private String type;

    @ApiModelProperty("专属优惠 0：否 1：是")
    private YesOrNoEnum discount;

    @ApiModelProperty("活动id")
    private Long activityId;

    @ApiModelProperty("乐谱信息")
    private MusicSheetDetailVo musicSheet;

    @ApiModelProperty("专辑信息")
    private AlbumDetailVo musicAlbum;

    @ApiModelProperty("直播课程组信息")
    private LiveCourseGroupShareVo liveCourseGroup;

    @ApiModelProperty("视频课信息")
    private VideoLessonStudentVo videoGroup;

    @ApiModelProperty("会员信息")
    private List<MemberPriceSettingsVo> vip;

    public AlbumDetailVo getMusicAlbum() {
        return musicAlbum;
    }

    public void setMusicAlbum(AlbumDetailVo musicAlbum) {
        this.musicAlbum = musicAlbum;
    }

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public YesOrNoEnum getDiscount() {
        return discount;
    }

    public void setDiscount(YesOrNoEnum discount) {
        this.discount = discount;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public List<MemberPriceSettingsVo> getVip() {
        return vip;
    }

    public void setVip(List<MemberPriceSettingsVo> vip) {
        this.vip = vip;
    }

    public VideoLessonStudentVo getVideoGroup() {
        return videoGroup;
    }

    public void setVideoGroup(VideoLessonStudentVo videoGroup) {
        this.videoGroup = videoGroup;
    }

    public LiveCourseGroupShareVo getLiveCourseGroup() {
        return liveCourseGroup;
    }

    public void setLiveCourseGroup(LiveCourseGroupShareVo liveCourseGroup) {
        this.liveCourseGroup = liveCourseGroup;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public MusicSheetDetailVo getMusicSheet() {
        return musicSheet;
    }

    public void setMusicSheet(MusicSheetDetailVo musicSheet) {
        this.musicSheet = musicSheet;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
}
